<?php
// Définit les dates, et numériques au format local (français)
setlocale(LC_ALL, '') ;
echo "Entrez un entier (ex : 65) : ";
fscanf(STDIN, "%d", $number);
echo "echo:La valeur saisie par fscanf() est:".$number . "\n";
printf("printf:La valeur saisie est : %d\n",$number) ;
printf("printf:La valeur saisie est : %020d\n",$number) ;
printf("printf:Le caractère équivalent est : %c   <== format %%c en PHP appliqué à un entier\n",$number) ;
?>
